Index: res/res_srtp.c
===================================================================
--- res/res_srtp.c	(revision 376049)
+++ res/res_srtp.c	(working copy)
@@ -429,12 +429,25 @@
 static int ast_srtp_create(struct ast_srtp **srtp, struct ast_rtp_instance *rtp, struct ast_srtp_policy *policy)
 {
 	struct ast_srtp *temp;
+	srtp_policy_t *that_srtp_thing;
 
 	if (!(temp = res_srtp_new())) {
 		return -1;
 	}
 	ast_module_ref(ast_module_info->self);
 
+	ast_log(LOG_NOTICE, "session pointer: %p\n", &temp->session);
+	ast_log(LOG_NOTICE, "policy pointer: %p\n", policy);
+	ast_log(LOG_NOTICE, "Just for grins: %p\n", &policy->sp);
+
+	that_srtp_thing = &(policy->sp);
+
+	ast_log(LOG_NOTICE, "ssrc type = %d\n", that_srtp_thing->ssrc.type);
+	ast_log(LOG_NOTICE, "ssrc value = %lu\n", (unsigned long)that_srtp_thing->ssrc.value);
+
+	ast_log(LOG_NOTICE, "key pointer = %p\n", that_srtp_thing->key);
+	ast_log(LOG_NOTICE, "key value = %lu\n", (unsigned long)*(that_srtp_thing->key));
+
 	/* Any failures after this point can use ast_srtp_destroy to destroy the instance */
 	if (srtp_create(&temp->session, &policy->sp) != err_status_ok) {
 		ast_srtp_destroy(temp);

